IRPCObjectOperations.GetIdentitiesAndViewsOfMultipleUnmanagedReducedItems
Vault API / core read session or assertion idempotent returns metadata structure version
Gets the identities and view IDs of unmanaged items of an external repository. Used by M-Files clients; not for applications.
| Service | Objects, versions, properties and files MFiles.IRPCObjectOperations |
|---|---|
| gRPC method | /MFiles.IRPCObjectOperations/GetIdentitiesAndViewsOfMultipleUnmanagedReducedItems |
| HTTP (mf-http-grpc) | POST /grpc/v1/get-identities-and-views-of-multiple-unmanaged-reduced-items |
| Request | GetIdentitiesAndViewsOfMultipleUnmanagedReducedItemsRequest |
| Response | GetIdentitiesAndViewsOfMultipleUnmanagedReducedItemsResponse |
| Book and level | Vault API, core |
| Kind | read |
| Session | Required: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata). |
| Idempotent | yes |
| Returns metadata structure version | yes (in the mfiles-metadata-version-bin trailer) |
| Streaming | none (unary) |
Request: GetIdentitiesAndViewsOfMultipleUnmanagedReducedItemsRequest
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
obj_ids[] | repeated ObjID | Object IDs (managed or unmanaged) (represented by ObjIDArray struct.) |
obj_ids[].type | int32 | The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID). |
obj_ids[].item_id | ItemID | The ID of the object within its type, in item_id.internal_id. |
obj_ids[].item_id.internal_id | int32 | The ID of the object or value list item. |
obj_ids[].item_id.external_repository_id | ExternalRepositoryID | Used only for objects in external repositories (external connectors). Leave it unset for objects stored in the vault. |
allow_missing_object_versions | bool | True if the method is allowed to return less results than requested. This can happen if the user does not have access to all of the objects. |
Response: GetIdentitiesAndViewsOfMultipleUnmanagedReducedItemsResponse
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
objects[] | repeated ObjID | Receives the managed object IDs of the requested objects with read access (represented by ObjID struct.) |
objects[].type | int32 | The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID). |
objects[].item_id | ItemID | The ID of the object within its type, in item_id.internal_id. |
objects[].item_id.internal_id | int32 | The ID of the object or value list item. |
objects[].item_id.external_repository_id | ExternalRepositoryID | Used only for objects in external repositories (external connectors). Leave it unset for objects stored in the vault. |
obj_vers[] | repeated ObjVer | Receives the unmanaged object versions for requested objects with read access (represented by ObjVer struct.) |
obj_vers[].obj_id | ObjID | The object. |
obj_vers[].obj_id.type | int32 | The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID). |
obj_vers[].obj_id.item_id | ItemID | The ID of the object within its type, in item_id.internal_id. |
obj_vers[].version | ObjVerVersion | The version. Usually OBJ_VER_VERSION_TYPE_SPECIFIC with internal_version. |
obj_vers[].version.type | ObjVerVersionType | What internal_version means. OBJ_VER_VERSION_TYPE_SPECIFIC for a version number.Values: OBJ_VER_VERSION_TYPE_UNINITIALIZED (0), OBJ_VER_VERSION_TYPE_LATEST (1), OBJ_VER_VERSION_TYPE_ANY (2), OBJ_VER_VERSION_TYPE_ALL (3), OBJ_VER_VERSION_TYPE_SPECIFIC (4), OBJ_VER_VERSION_TYPE_VALUE_LIST_ITEM (6), OBJ_VER_VERSION_TYPE_OBJECT_LEVEL_REFERENCE (7). |
obj_vers[].version.internal_version | int32 | The version number, starting from 1, when type is OBJ_VER_VERSION_TYPE_SPECIFIC. The server returns -1 with OBJ_VER_VERSION_TYPE_LATEST. |
obj_vers[].version.external_repository_version | string | Used only for objects in external repositories. Leave empty. |
obj_vers[].version.external_repository_sort_key | int64 | Used only for objects in external repositories. Leave 0. |
view_ids[] | repeated ItemID | Receives the primary view IDs for the requested objects with read access (represented by ItemID struct.) |
view_ids[].internal_id | int32 | The ID of the object or value list item. |
view_ids[].external_repository_id | ExternalRepositoryID | Used only for objects in external repositories (external connectors). Leave it unset for objects stored in the vault. |
view_ids[].external_repository_id.connection | string | The external repository connection identifier. |
view_ids[].external_repository_id.item | string | External ID within the scope of the connection to external system. |